
package de.ugoe.cs.quest.plugin.guitar.eventcore;

import de.ugoe.cs.quest.eventcore.IEventType;

/**
 * 
 * <p>
 * TODO comment
 * </p>
 * 
 * @version $Revision: $ $Date: Aug 16, 2012$
 * @author 2012, last modified by $Author: sherbold$
 */
public class GUITAREventType implements IEventType {

    /**  */
    private static final long serialVersionUID = 1L;

    String guitarEventId;

    public GUITAREventType(String eventId) {
        this.guitarEventId = eventId;
    }

    /*
     * (non-Javadoc)
     * 
     * @see de.ugoe.cs.quest.eventcore.IEventType#getName()
     */
    @Override
    public String getName() {
        return "GUITAREventType";
    }

    /*
     * (non-Javadoc)
     * 
     * @see java.lang.Object#toString()
     */
    @Override
    public String toString() {
        return guitarEventId;
    }

    /*
     * (non-Javadoc)
     * 
     * @see java.lang.Object#equals(java.lang.Object)
     */
    @Override
    public boolean equals(Object obj) {
        if (obj instanceof GUITAREventType) {
            if (guitarEventId != null) {
                return guitarEventId.equals(((GUITAREventType) obj).guitarEventId);
            }
            else {
                return ((GUITAREventType) obj).guitarEventId == null;
            }
        }
        return false;
    }

    /*
     * (non-Javadoc)
     * 
     * @see java.lang.Object#hashCode()
     */
    @Override
    public int hashCode() {
        int hash = 37;
        if (guitarEventId != null) {
            hash = guitarEventId.hashCode();
        }
        return hash;
    }

}
